package com.mycompany;



import javax.ejb.Stateful;
import javax.enterprise.context.SessionScoped;
import javax.enterprise.inject.Produces;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceContextType;

@SessionScoped
@Stateful
public class EntityManagerProducer {
    @PersistenceContext(type=PersistenceContextType.EXTENDED)
    private EntityManager em;
    
    @Produces
    public EntityManager getEntityManager() {
        return em;
    }
}
